fix MOL-177: Fix logging
diff --git a/scripts/data.py b/scripts/data.py
index c53871d..0635789 100644
--- a/scripts/data.py
+++ b/scripts/data.py
@@ -11,8 +11,16 @@
for block in re.split(splitter_rr, fc):
block = block.strip()
+
if not block.startswith("[{u'__meta__':"):
continue
+
+ print
+ print
+ print block
+ print
+ print
+
for val in eval(block):
meta = val['__meta__']
meta['sync'] = 's' if meta['sync'] else 'a'
diff --git a/scripts/run.sh b/scripts/run.sh
index a5c8aaf..11c90ee 100644
--- a/scripts/run.sh
+++ b/scripts/run.sh
@@ -3,12 +3,11 @@
type="iozone"
-bsizes="1k" # 4k 64k 256k 1m
-ops="write" # randwrite"
+bsizes="1k 4k 64k 256k 1m"
+ops="randwrite"
osync="s" # a
-num_times="1"
-concurrences="1 2 4 8 16 32 64 128"
-aff_group="0077d59c-bf5b-4326-8940-027e77d655ee"
+num_times="3"
+concurrences="32"
for concurrence in $concurrences; do
for bsize in $bsizes ; do
@@ -31,12 +30,14 @@
factor="r2"
fi
- extra_opts="user=ubuntu,keypair_name=ceph,img_name=ubuntu,flavor_name=ceph.512"
- extra_opts="${extra_opts},network_zone_name=net04,flt_ip_pool=net04_ext,key_file=ceph.pem"
- extra_opts="${extra_opts},aff_group=${aff_group}"
io_opts="--type $type -a $op --iodepth 16 --blocksize $bsize --iosize $factor $ssync --concurrency $concurrence"
+ # aff_group=$(nova server-group-list | grep ' ceph ' | awk '{print $2}')
+ # extra_opts="user=ubuntu,keypair_name=ceph,img_name=ubuntu,flavor_name=ceph.512"
+ # extra_opts="${extra_opts},network_zone_name=net04,flt_ip_pool=net04_ext,key_file=ceph.pem"
+ # extra_opts="${extra_opts},aff_group=${aff_group},count=x1"
+
echo $io_opts
# python run_test.py --runner ssh -l -o "$io_opts" -t io-scenario $type --runner-extra-opts="$extra_opts"
diff --git a/scripts/run_2.sh b/scripts/run_2.sh
index d343d69..cdf29dc 100644
--- a/scripts/run_2.sh
+++ b/scripts/run_2.sh
@@ -1,43 +1,52 @@
#!/bin/bash
set -x
+function prepare() {
+ nova image-list | grep ' ubuntu ' >/dev/null
+ if [ $? -ne 0 ] ; then
+ url="https://cloud-images.ubuntu.com/trusty/current/trusty-server-cloudimg-amd64-disk1.img"
+ glance image-create --name 'ubuntu' --disk-format qcow2 --container-format bare --is-public true --copy-from $url
+ fi
+
+ nova flavor-list | grep ' ceph.512 ' >/dev/null
+ if [ $? -ne 0 ] ; then
+ nova flavor-create ceph.512 ceph.512 512 50 1
+ fi
+
+ nova server-group-list | grep ' ceph ' >/dev/null
+ if [ $? -ne 0 ] ; then
+ nova server-group-create --policy anti-affinity ceph
+ fi
+
+ nova keypair-list | grep ' ceph ' >/dev/null
+ if [ $? -ne 0 ] ; then
+ nova keypair-add ceph > ceph.pem
+ fi
+
+ nova secgroup-add-rule default icmp -1 -1 0.0.0.0/0
+ nova secgroup-add-rule default tcp 22 22 0.0.0.0/0
+}
+
+
+function run_test() {
+ set -e
+
+ iodepts="1"
+ for iodepth in $iodepts; do
+ extra_opts="user=ubuntu,keypair_name=ceph,img_name=ubuntu,flavor_name=ceph.512"
+ extra_opts="${extra_opts},network_zone_name=net04,flt_ip_pool=net04_ext,key_file=ceph.pem"
+ extra_opts="${extra_opts},aff_group=${aff_group},count=x1"
+
+ io_opts="--type $type -a write --iodepth 16 --blocksize 1m --iosize x20"
+ python run_test.py --runner ssh -l -o "$io_opts" -t io-scenario $type --runner-extra-opts="$extra_opts"
+ done
+
+ # io_opts="--type $type -a write --iodepth 16 --blocksize 1m --iosize x20"
+ # python run_test.py --runner rally -l -o "$io_opts" -t io-scenario $type --runner-extra-opts="--deployment perf-1"
+}
+
type="iozone"
-
-# nova image-list | grep ' ubuntu ' >/dev/null
-# if [ $? -ne 0 ] ; then
-# url="https://cloud-images.ubuntu.com/trusty/current/trusty-server-cloudimg-amd64-disk1.img"
-# glance image-create --name 'ubuntu' --disk-format qcow2 --container-format bare --is-public true --copy-from $url
-# fi
-
-# nova flavor-list | grep ' ceph.512 ' >/dev/null
-# if [ $? -ne 0 ] ; then
-# nova flavor-create ceph.512 ceph.512 512 50 1
-# fi
-
-# nova server-group-list | grep ' ceph ' >/dev/null
-# if [ $? -ne 0 ] ; then
-# nova server-group-create --policy anti-affinity ceph
-# fi
-
-# nova keypair-list | grep ' ceph ' >/dev/null
-# if [ $? -ne 0 ] ; then
-# nova keypair-add ceph > ceph.pem
-# fi
-
+prepare
+# run_test
# nova server-group-list | grep ' ceph ' | awk '{print $2}'
-aff_group="0077d59c-bf5b-4326-8940-027e77d655ee"
-
-set -e
-
-iodepts="1"
-for iodepth in $iodepts; do
- extra_opts="user=ubuntu,keypair_name=ceph,img_name=ubuntu,flavor_name=ceph.512"
- extra_opts="${extra_opts},network_zone_name=net04,flt_ip_pool=net04_ext,key_file=ceph.pem"
- extra_opts="${extra_opts},aff_group=${aff_group}"
-
- io_opts="--type $type -a write --iodepth 16 --blocksize 1m --iosize x20"
- python run_test.py --runner ssh -l -o "$io_opts" -t io-scenario $type --runner-extra-opts="$extra_opts"
-done
-
-# io_opts="--type $type -a write --iodepth 16 --blocksize 1m --iosize x20"
-# python run_test.py --runner rally -l -o "$io_opts" -t io-scenario $type --runner-extra-opts="--deployment perf-1"
+# aff_group="0077d59c-bf5b-4326-8940-027e77d655ee"